Glanced
Glanced

Items

Read and manage items with bulk actions, read state, playback progress, and similar items.

GET
/v1/items
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Query Parameters

cursor?|

Pagination cursor for fetching next page of items. Use for infinite scroll pagination.

subscription_ids?array<>|

Filter by subscription IDs

is_read?|

Filter by read state: 'read' for read items, 'unread' for unread items. If not provided, shows all items

tag_ids?array<>|

Filter by tag IDs.

folder_ids?array<>|

Filter by folder IDs

is_saved?|

Filter by saved state: 'true' for saved items, 'false' for items not saved. If not provided, shows all items

q?|

Search query string for full-text search

from_date?|

Filter items published on or after this date (ISO 8601)

to_date?|

Filter items published on or before this date (ISO 8601)

item_type?|

Filter by item type: 'article' or 'episode'. If not provided, shows all items

order_by?|

Sort order: 'newest' (default), 'oldest', or 'recently_played' (by last_played_at; episodes only). Only affects episodes (item_type=episode); articles and mixed lists always return newest-first.

in_progress?|

Filter to in-progress episodes (started, not completed). Episodes only.

limit?Limit

Number of items to return

Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/items"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "feeds": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "title": "string",          "source_type": "feed",          "website": "string"        }      ],      "item_type": "article",      "media_url": "string",      "published_at": "2019-08-24T14:15:22Z",      "canonical_url": "string",      "is_read": false,      "is_saved": false,      "summary": "string",      "audio_url": "string",      "duration_seconds": 0,      "episode_number": 0,      "episode_type": "full",      "playback_position": 0,      "last_played_at": "2019-08-24T14:15:22Z",      "artwork_url": "string",      "explicit": true,      "description": "string"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "next_cursor": "string"  }}
PATCH
/v1/items
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PATCH '/v1/items'.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/items" \  -H "Content-Type: application/json" \  -d '{    "item_ids": [      "92e615b6-88cf-4958-8b77-df6fc58c9ee2"    ],    "action": "mark_read"  }'
{  "message": "string"}
PUT
/v1/items
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PUT '/v1/items'.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/items" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string"}
GET
/v1/items/{item_id}
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Path Parameters

item_id*Item Id

The item's id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/items/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "feeds": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "source_type": "feed",      "website": "string"    }  ],  "item_type": "article",  "media_url": "string",  "published_at": "2019-08-24T14:15:22Z",  "is_read": false,  "is_saved": false,  "prefers_full_content": false,  "summary": "string",  "ai_summary": "string",  "author": "string",  "canonical_url": "string",  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "item_count": 0    }  ],  "content": "string",  "notes": "string",  "reading_time": 0,  "suggested_tags": [    "string"  ],  "platform_metadata": {},  "audio_url": "string",  "duration_seconds": 0,  "episode_number": 0,  "episode_type": "full",  "playback_position": 0,  "last_played_at": "2019-08-24T14:15:22Z",  "description": "string",  "artwork_url": "string",  "explicit": true}
PATCH
/v1/items/{item_id}
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Path Parameters

item_id*Item Id

The item's id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PATCH '/v1/items/{item_id}'.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/items/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "feeds": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "source_type": "feed",      "website": "string"    }  ],  "item_type": "article",  "media_url": "string",  "published_at": "2019-08-24T14:15:22Z",  "is_read": false,  "is_saved": false,  "prefers_full_content": false,  "summary": "string",  "ai_summary": "string",  "author": "string",  "canonical_url": "string",  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "item_count": 0    }  ],  "content": "string",  "notes": "string",  "reading_time": 0,  "suggested_tags": [    "string"  ],  "platform_metadata": {},  "audio_url": "string",  "duration_seconds": 0,  "episode_number": 0,  "episode_type": "full",  "playback_position": 0,  "last_played_at": "2019-08-24T14:15:22Z",  "description": "string",  "artwork_url": "string",  "explicit": true}
GET
/v1/items/{item_id}/similar
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Path Parameters

item_id*Item Id

The item's id

Formatuuid

Query Parameters

limit?Limit

Maximum number of similar items to return

Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/items/497f6eca-6276-4993-bfeb-53cbbbba6f08/similar"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "item_type": "article",      "summary": "string",      "published_at": "2019-08-24T14:15:22Z",      "is_read": false,      "is_saved": false,      "media_url": "string",      "canonical_url": "string",      "feeds": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "title": "string",          "source_type": "feed",          "website": "string"        }      ]    }  ]}
POST
/v1/items/{item_id}/readlater
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Path Parameters

item_id*Item Id

The item's id

Formatuuid

Query Parameters

service*IntegrationService

Read-later service: readwise, cubox, raindrop, or instapaper

Value in

  • "readwise"
  • "cubox"
  • "raindrop"
  • "instapaper"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/items/497f6eca-6276-4993-bfeb-53cbbbba6f08/readlater?service=readwise"
{  "message": "string"}
POST
/v1/items/{item_id}/playback-progress
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Path Parameters

item_id*Item Id

The item's id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

POST '/v1/items/{item_id}/playback-progress'.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/items/497f6eca-6276-4993-bfeb-53cbbbba6f08/playback-progress" \  -H "Content-Type: application/json" \  -d '{    "position_seconds": 0  }'
{  "playback_position": 0,  "last_played_at": "2019-08-24T14:15:22Z",  "is_read": false,  "completed": false}

How is this guide?